[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.CMExit

Handles the CM_EXIT control message for the control.

## Declaration

Source position: controls.pp line 2205

`protected procedure TWinControl.CMExit(`
`var Message: TLMessage`
`); message;`

## Arguments

`Message` |  | Control message handled in the method.

## Description

CM_ENTER and CM_EXIT messages occur when the active control is changed on a form.

Calls DoExit to signal the OnExit event handler (when assigned).

## See also

TWinControl.DoExit |  | Signals the OnExit event handler (when assigned) when the control loses focus.
TWinControl.OnExit |  | Event handler signalled when the control loses focus.